import { Event } from './utils/event';
export declare class Drag {
    private frame;
    private startInfo;
    private currentInfo;
    private isDragging;
    private eventBus;
    private eventBindings;
    constructor(frame: HTMLElement, { event }: {
        event: Event;
    });
    mount(): void;
    /**
     * Called when the track starts to be dragged.
     */
    private onStart;
    private onMove;
    /**
     * Determine whether to start moving the track or not by drag angle.
     *
     * @param info - An information object.
     *
     * @return True if the track should be moved or false if not.
     */
    private shouldMove;
    /**
     * Called when dragging ends.
     */
    private onEnd;
    /**
     * Go to the slide determined by the analyzed data.
     *
     * @param info - An info object.
     */
    private goTo;
    /**
     * Analyze the given event object and return important information for handling swipe behavior.
     *
     * @param event          - Touch or Mouse event object.
     * @param startInfo  - Information analyzed on start for calculating difference from the current one.
     *
     * @return - An object containing analyzed information, such as offset, velocity, etc.
     */
    private analyze;
}
