import { stop } from '../../utils/event';
export class Controls {
    constructor(imports, settings) {
        this.imports = imports;
        this.settings = settings;
        this.controls = [].slice.call(imports.virchual.container.querySelectorAll('.virchual__control'));
        imports.eventBus.on('destroy', () => {
            console.log('controls component destroy');
        });
        this.onClickBound = this.onClick.bind(this);
        this.mount();
    }
    mount() {
        this.controls.forEach(button => this.imports.eventBus.on('click', this.onClickBound, button));
    }
    onClick(event) {
        stop(event);
        const button = event.target.closest('button');
        const control = button.dataset.controls;
        if (control === 'prev') {
            this.imports.virchual.prev();
            return;
        }
        this.imports.virchual.next();
    }
}
//# sourceMappingURL=controls.js.map