import { ComponentDependencies } from './../component';
export declare type LazyLoadImageSettings = {
    /**
     * Enables lazyloading imagest that are currently not visible, thus saving bandwidth.
     */
    lazyload?: boolean;
    /**
     * The CSS selector for lazyloaded images. Default 'img,picture'
     */
    lazyloadSelector?: string;
};
export declare class LazyLoadImage {
    private imports;
    private lazyload;
    private lazyloadSelector;
    private events;
    constructor(imports: ComponentDependencies, settings: LazyLoadImageSettings);
    /**
     * Lazy load images.
     */
    private doLazyLoad;
    /**
     * Get all image tags (<img>, <picture>) to lazy load.
     */
    private getImages;
    /**
     * Do the actual lazy loading for a given image.
     *
     * @param image Either <img> or <picture> tag.
     */
    private loadImage;
    private onLoad;
    private onError;
    private completeLoading;
}
