/**
 * Map current index to bullet elements index.
 *
 * @param index Current index.
 * @param center Center index of bullets (5 bullets -> center: 2).
 * @param total Total bullets. Same as amount of slides.
 */
export declare function mapActiveIndex(index: number, center: number, total: number): number;
/**
 * Return true if bullet is edge bullet.
 *
 * @param index Index of bullet.
 * @param realIndex Real slide index which bullet represents.
 * @param bullets Amount of shown bullets.
 * @param total Total bullets. Same as amount of slides.
 */
export declare function isEdgeBullet(index: number, realIndex: number, bullets: number, total: number): boolean;
export declare class Pagination {
    private container;
    private totalSlides;
    private ref;
    private currentIndex;
    private centerIndex;
    private bulletsLength;
    private diameter;
    constructor(container: HTMLElement, totalSlides: number, { diameter, bullets }?: {
        diameter?: number;
        bullets?: number;
    });
    render(): void;
    next(): void;
    prev(): void;
    private goTo;
    private handleBulletMovement;
    private renderBullet;
    private setAttributes;
    private insertBullet;
}
