import { identity } from './types';
import { VirchualSettings } from './virchual';
/**
 * Virtual slide component.
 */
export declare class Slide {
    private frame;
    private settings;
    ref: HTMLElement;
    isMounted: boolean;
    isActive: boolean;
    position: number;
    private hasChanged;
    private html;
    private transitionEndCallback;
    constructor(html: string | HTMLElement, frame: HTMLElement, settings: VirchualSettings);
    set<T extends Extract<keyof this, 'isActive' | 'position'>>(property: T, value: this[T]): void;
    render(): HTMLElement;
    mount(prepend?: boolean): void;
    unmount(): void;
    /**
     * Start transition.
     *
     * @param value Position to translate to.
     * @param easing Enable or disable transition easing.
     * @param done Callback function after transition has ended.
     */
    translate(value: number, { easing, done }?: {
        easing?: boolean;
        done?: identity;
    }): void;
    private update;
    private setAttributes;
}
