/**
 * Handles debouncing of events via requestAnimationFrame
 *
 * @param callback The callback to handle whichever event
 */
export function debounce(callback, delay = 100) {
    let timeoutId;
    return (...args) => {
        clearTimeout(timeoutId);
        timeoutId = setTimeout(() => requestAnimationFrame(() => {
            timeoutId = null;
            callback(...args);
        }), delay);
    };
}
//# sourceMappingURL=debouncer.js.map