export declare function createElement(tagName: string, { classNames, html }: {
    classNames?: string;
    html?: string;
}): HTMLElement;
/**
 * Remove a given element from a DOM tree.
 *
 * @param elms - Element(s) to be removed.
 */
export declare function remove(element: HTMLElement): void;
/**
 * Append a child to a given element.
 *
 * @param parent - A parent element.
 * @param child  - An element to be appended.
 */
export declare function append(parent: HTMLElement, child: HTMLElement): void;
/**
 * Prepend an element to parent.
 *
 * @param element- An element to prepend.
 * @param element - A reference element.
 */
export declare function prepend(parent: HTMLElement, element: HTMLElement): void;
/**
 * Add or remove css class to given element.
 *
 * @param element Element to add class tp.
 * @param klass CSS classname.
 * @param remove Remove class instead of adding.
 */
export declare function addOrRemoveClass(element: HTMLElement, klass: string, remove?: boolean): void;
