/**
 * Returns a sliding window section of an array.
 *
 * @param source Source array.
 * @param start The start of the specified portion of the array. Acts as the center of the sliding window.
 * @param len The window size/length. Specifies how many items the window has on each sides.
 */
export declare function slidingWindow(source: number[], start: number, len: number): number[];
/**
 * Get array item by index.
 *
 * Returning items from the end of the source array when accessing negative indexes or
 * from the start of source array when accessing out of range indexes.
 *
 * @param source Source array.
 * @param index Index of array item to access.
 */
export declare function get<T>(source: T[], index: number): T;
